Bug 13712 - Missing newline in DB update 3.19.00.010
Summary: Missing newline in DB update 3.19.00.010
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Magnus Enger
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-16 08:56 UTC by Magnus Enger
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13712 - Missing newline in DB update 3.19.00.010 (1.51 KB, patch)
2015-02-16 09:54 UTC, Magnus Enger
Details | Diff | Splinter Review
[PASSED QA] Bug 13712 - Missing newline in DB update 3.19.00.010 (1.58 KB, patch)
2015-02-18 12:32 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2015-02-16 08:56:54 UTC
The DB update in updatedatabase.pl looks like this: 

9755 $DBversion = "3.19.00.010";
9756 if ( CheckVersion($DBversion) ) {
9757     $dbh->do("INSERT INTO `systempreferences` (variable,value,explanation,options,type) VALUES('SessionRestrictionByIP','1','Check for Change in  Remote IP address for Session Security. Disable when remote ip address changes frequently.','','YesNo')");
9758     print "Upgrade to $DBversion done (Bug 5511 - SessionRestrictionByIP)";
9759     SetVersion ($DBversion);
9760 }

The missing newline at the end of line 9758 means that when you run the webinstaller, this update and the next one are displayed on one line/as one bullet point:

* Upgrade to 3.19.00.009 done (Bug 13007 - Add new foreign key suggestions.budgetid)
* Upgrade to 3.19.00.010 done (Bug 5511 - SessionRestrictionByIP)Upgrade to 3.19.00.011 done (Bug 13417: Add permission to delete public lists)

Not a big deal, of course, but it would look better on two lines.
Comment 1 Magnus Enger 2015-02-16 09:54:08 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2015-02-18 12:32:44 UTC
Created attachment 35988 [details] [review]
[PASSED QA] Bug 13712 - Missing newline in DB update 3.19.00.010

To test:
- Make sure your database is pre 3.19.00.010 (for example by loading in
  an older backup)
- Run through the web-based database update (web installer, step 3)
- Verify that updates 3.19.00.010 and 3.19.00.011 are squashed
  together on one line
- Apply the patch
- Reset the database and run the web-based database upgrade again
- Verify that the two uupdates are noe displayed on separate lines
  (as separate bullet points)

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 3 Tomás Cohen Arazi 2015-02-18 12:33:14 UTC
Passing this trivial patch.
Comment 4 Tomás Cohen Arazi 2015-02-19 13:12:27 UTC
Patch pushed to master.

Thanks Magnus!